VTK: vtkLogoWidget Class Reference

| VTK 9.3.1

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkLogoWidget Class Reference

2D widget for placing and manipulating a logo More...

`#include <vtkLogoWidget.h>`

Inheritance diagram for vtkLogoWidget:
[legend]
Collaboration diagram for vtkLogoWidget:
[legend]

## Public Member Functions
void | SetRepresentation (vtkLogoRepresentation *r)
| Specify an instance of vtkWidgetRepresentation used to represent this widget in the scene. More...
void | CreateDefaultRepresentation () override
| Create the default widget representation if one is not set. More...
Public Member Functions inherited from vtkBorderWidget
void | SetRepresentation (vtkBorderRepresentation *r)
| Specify an instance of vtkWidgetRepresentation used to represent this widget in the scene. More...
vtkBorderRepresentation * | GetBorderRepresentation ()
| Return the representation as a vtkBorderRepresentation. More...
vtkTypeBool | GetProcessEvents () override
| Reimplement ProcessEvents to disable it when using relative location with windowLocation. More...
virtual void | SetSelectable (vtkTypeBool)
| Indicate whether the interior region of the widget can be selected or not. More...
virtual vtkTypeBool | GetSelectable ()
| Indicate whether the interior region of the widget can be selected or not. More...
virtual void | SelectableOn ()
| Indicate whether the interior region of the widget can be selected or not. More...
virtual void | SelectableOff ()
| Indicate whether the interior region of the widget can be selected or not. More...
virtual void | SetResizable (vtkTypeBool)
| Indicate whether the boundary of the widget can be resized. More...
virtual vtkTypeBool | GetResizable ()
| Indicate whether the boundary of the widget can be resized. More...
virtual void | ResizableOn ()
| Indicate whether the boundary of the widget can be resized. More...
virtual void | ResizableOff ()
| Indicate whether the boundary of the widget can be resized. More...
vtkBorderWidget * | NewInstance () const
| Standard methods for class. More...
Public Member Functions inherited from vtkAbstractWidget
void | SetEnabled (int) override
| Methods for activating this widget. More...
vtkWidgetEventTranslator * | GetEventTranslator ()
| Get the event translator. More...
void | Render ()
| This method is called by subclasses when a render method is to be invoked on the vtkRenderWindowInteractor. More...
void | SetParent (vtkAbstractWidget *parent)
| Specifying a parent to this widget is used when creating composite widgets. More...
virtual vtkAbstractWidget * | GetParent ()
void | SetPriority (float) override
| Override the superclass method. More...
virtual void | SetProcessEvents (vtkTypeBool)
| Methods to change whether the widget responds to interaction. More...
virtual void | ProcessEventsOn ()
| Methods to change whether the widget responds to interaction. More...
virtual void | ProcessEventsOff ()
| Methods to change whether the widget responds to interaction. More...
vtkWidgetRepresentation * | GetRepresentation ()
| Return an instance of vtkWidgetRepresentation used to represent this widget in the scene. More...
virtual void | SetManagesCursor (vtkTypeBool)
| Turn on or off the management of the cursor. More...
virtual vtkTypeBool | GetManagesCursor ()
| Turn on or off the management of the cursor. More...
virtual void | ManagesCursorOn ()
| Turn on or off the management of the cursor. More...
virtual void | ManagesCursorOff ()
| Turn on or off the management of the cursor. More...
vtkAbstractWidget * | NewInstance () const
| Standard macros implementing standard VTK methods. More...
Public Member Functions inherited from vtkInteractorObserver
vtkInteractorObserver * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
int | GetEnabled ()
void | EnabledOn ()
void | EnabledOff ()
void | On ()
void | Off ()
virtual void | OnChar ()
| Sets up the keypress-i event. More...
virtual void | SetInteractor (vtkRenderWindowInteractor *iren)
| This method is used to associate the widget with the render window interactor. More...
virtual vtkRenderWindowInteractor * | GetInteractor ()
| This method is used to associate the widget with the render window interactor. More...
virtual float | GetPriority ()
| Set/Get the priority at which events are processed. More...
virtual void | PickingManagedOn ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | PickingManagedOff ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | SetPickingManaged (bool managed)
| Enable/Disable the use of a manager to process the picking. More...
virtual bool | GetPickingManaged ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | SetKeyPressActivation (vtkTypeBool)
| Enable/Disable of the use of a keypress to turn on and off the interactor observer. More...
virtual vtkTypeBool | GetKeyPressActivation ()
| Enable/Disable of the use of a keypress to turn on and off the interactor observer. More...
virtual void | KeyPressActivationOn ()
| Enable/Disable of the use of a keypress to turn on and off the interactor observer. More...
virtual void | KeyPressActivationOff ()
| Enable/Disable of the use of a keypress to turn on and off the interactor observer. More...
virtual void | SetKeyPressActivationValue (char)
| Specify which key press value to use to activate the interactor observer (if key press activation is enabled). More...
virtual char | GetKeyPressActivationValue ()
| Specify which key press value to use to activate the interactor observer (if key press activation is enabled). More...
virtual vtkRenderer * | GetDefaultRenderer ()
| Set/Get the default renderer to use when activating the interactor observer. More...
virtual void | SetDefaultRenderer (vtkRenderer *)
| Set/Get the default renderer to use when activating the interactor observer. More...
virtual vtkRenderer * | GetCurrentRenderer ()
| Set/Get the current renderer. More...
virtual void | SetCurrentRenderer (vtkRenderer *)
| Set/Get the current renderer. More...
void | GrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods enable an interactor observer to exclusively grab all events invoked by its associated vtkRenderWindowInteractor. More...
void | ReleaseFocus ()
| These methods enable an interactor observer to exclusively grab all events invoked by its associated vtkRenderWindowInteractor. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkLogoWidget * | New ()
| Instantiate this class. More...
Static Public Member Functions inherited from vtkBorderWidget
static vtkBorderWidget * | New ()
| Method to instantiate class. More...
static vtkTypeBool | IsTypeOf (const char *type)
| Standard methods for class. More...
static vtkBorderWidget * | SafeDownCast (vtkObjectBase *o)
| Standard methods for class. More...
Static Public Member Functions inherited from vtkAbstractWidget
static vtkTypeBool | IsTypeOf (const char *type)
| Standard macros implementing standard VTK methods. More...
static vtkAbstractWidget * | SafeDownCast (vtkObjectBase *o)
| Standard macros implementing standard VTK methods. More...
Static Public Member Functions inherited from vtkInteractorObserver
static vtkTypeBool | IsTypeOf (const char *type)
static vtkInteractorObserver * | SafeDownCast (vtkObjectBase *o)
static void | ComputeDisplayToWorld (vtkRenderer *ren, double x, double y, double z, double worldPt[4])
| Convenience methods for outside classes. More...
static void | ComputeWorldToDisplay (vtkRenderer *ren, double x, double y, double z, double displayPt[3])
| Convenience methods for outside classes. More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
| vtkLogoWidget ()
| ~vtkLogoWidget () override
Protected Member Functions inherited from vtkBorderWidget
| vtkBorderWidget ()
| ~vtkBorderWidget () override
virtual void | SelectRegion (double eventPos[2])
| Subclasses generally implement this method. More...
virtual int | SubclassSelectAction ()
virtual int | SubclassTranslateAction ()
virtual int | SubclassEndSelectAction ()
virtual int | SubclassMoveAction ()
void | SetCursor (int State) override
Protected Member Functions inherited from vtkAbstractWidget
| vtkAbstractWidget ()
| ~vtkAbstractWidget () override
void | SetWidgetRepresentation (vtkWidgetRepresentation *r)
virtual void | SetCursor (int vtkNotUsed(state))
Protected Member Functions inherited from vtkInteractorObserver
| vtkInteractorObserver ()
| ~vtkInteractorObserver () override
virtual void | RegisterPickers ()
| Register internal Pickers in the Picking Manager. More...
void | UnRegisterPickers ()
| Unregister internal pickers from the Picking Manager. More...
vtkPickingManager * | GetPickingManager ()
| Return the picking manager associated on the context on which the observer currently belong. More...
vtkAssemblyPath * | GetAssemblyPath (double X, double Y, double Z, vtkAbstractPropPicker *picker)
| Proceed to a pick, whether through the PickingManager if the picking is managed or directly using the picker, and return the assembly path. More...
int | RequestCursorShape (int requestedShape)
virtual void | StartInteraction ()
| Utility routines used to start and end interaction. More...
virtual void | EndInteraction ()
| Utility routines used to start and end interaction. More...
void | ComputeDisplayToWorld (double x, double y, double z, double worldPt[4])
| Helper method for subclasses. More...
void | ComputeWorldToDisplay (double x, double y, double z, double displayPt[3])
| Helper method for subclasses. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)
typedef vtkBorderWidget | Superclass
| Standard VTK class methods. More...
static vtkTypeBool | IsTypeOf (const char *type)
| Standard VTK class methods. More...
static vtkLogoWidget * | SafeDownCast (vtkObjectBase *o)
| Standard VTK class methods. More...
virtual vtkTypeBool | IsA (const char *type)
| Standard VTK class methods. More...
vtkLogoWidget * | NewInstance () const
| Standard VTK class methods. More...
void | PrintSelf (ostream &os, vtkIndent indent) override
| Standard VTK class methods. More...
virtual vtkObjectBase * | NewInstanceInternal () const
| Standard VTK class methods. More...

## Additional Inherited Members
Public Types inherited from vtkBorderWidget
typedef vtkAbstractWidget | Superclass
| Standard methods for class. More...
Public Types inherited from vtkAbstractWidget
typedef vtkInteractorObserver | Superclass
| Standard macros implementing standard VTK methods. More...
Public Types inherited from vtkInteractorObserver
typedef vtkObject | Superclass
Protected Types inherited from vtkBorderWidget
enum | WidgetStateType { Start = 0 , Define , Manipulate , Selected }
typedef WidgetStateType | _WidgetState
Static Protected Member Functions inherited from vtkBorderWidget
static void | SelectAction (vtkAbstractWidget *)
static void | TranslateAction (vtkAbstractWidget *)
static void | EndSelectAction (vtkAbstractWidget *)
static void | MoveAction (vtkAbstractWidget *)
static void | HoverLeaveAction (vtkAbstractWidget *)
Static Protected Member Functions inherited from vtkAbstractWidget
static void | ProcessEventsHandler (vtkObject *object, unsigned long event, void *clientdata, void *calldata)
Static Protected Member Functions inherited from vtkInteractorObserver
static void | ProcessEvents (vtkObject *object, unsigned long event, void *clientdata, void *calldata)
| Handles the char widget activation event. More...
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Protected Attributes inherited from vtkBorderWidget
vtkTypeBool | Selectable
vtkTypeBool | Resizable
int | WidgetState
Protected Attributes inherited from vtkAbstractWidget
vtkWidgetRepresentation * | WidgetRep
vtkTypeBool | ManagesCursor
vtkWidgetEventTranslator * | EventTranslator
vtkWidgetCallbackMapper * | CallbackMapper
vtkAbstractWidget * | Parent
void * | CallData
vtkTypeBool | ProcessEvents
int | LastDevice
Protected Attributes inherited from vtkInteractorObserver
int | Enabled
vtkCallbackCommand * | EventCallbackCommand
vtkCallbackCommand * | KeyPressCallbackCommand
float | Priority
bool | PickingManaged
vtkTypeBool | KeyPressActivation
char | KeyPressActivationValue
vtkRenderWindowInteractor * | Interactor
vtkRenderer * | CurrentRenderer
vtkRenderer * | DefaultRenderer
unsigned long | CharObserverTag
unsigned long | DeleteObserverTag
vtkObserverMediator * | ObserverMediator
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

2D widget for placing and manipulating a logo

This class provides support for interactively displaying and manipulating a logo. Logos are defined by an image; this widget simply allows you to interactively place and resize the image logo. To use this widget, simply create a vtkLogoRepresentation (or subclass) and associate it with the vtkLogoWidget.

See also
  vtkBorderWidget

Online Examples:

Tests:
  vtkLogoWidget (Tests)

Definition at line 38 of file vtkLogoWidget.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkBorderWidget vtkLogoWidget::Superclass

Standard VTK class methods.

Definition at line 50 of file vtkLogoWidget.h.

## Constructor & Destructor Documentation

## ◆ vtkLogoWidget()

vtkLogoWidget::vtkLogoWidget | ( |  | ) |
| protected

## ◆ ~vtkLogoWidget()

vtkLogoWidget::~vtkLogoWidget | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkLogoWidget* vtkLogoWidget::New | ( |  | ) |
| static

Instantiate this class.

## ◆ IsTypeOf()

static vtkTypeBool vtkLogoWidget::IsTypeOf | ( | const char * | type | ) |
| static

Standard VTK class methods.

## ◆ IsA()

virtual vtkTypeBool vtkLogoWidget::IsA | ( | const char * | type | ) |
| virtual

Standard VTK class methods.

Reimplemented from vtkBorderWidget.

## ◆ SafeDownCast()

static vtkLogoWidget* vtkLogoWidget::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

Standard VTK class methods.

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkLogoWidget::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Standard VTK class methods.

Reimplemented from vtkBorderWidget.

## ◆ NewInstance()

vtkLogoWidget* vtkLogoWidget::NewInstance | ( |  | ) | const

Standard VTK class methods.

## ◆ PrintSelf()

void vtkLogoWidget::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Standard VTK class methods.

Reimplemented from vtkBorderWidget.

## ◆ SetRepresentation()

void vtkLogoWidget::SetRepresentation | ( | vtkLogoRepresentation * | r | ) |
| inline

Specify an instance of vtkWidgetRepresentation used to represent this widget in the scene.

Note that the representation is a subclass of vtkProp so it can be added to the renderer independent of the widget.

Definition at line 59 of file vtkLogoWidget.h.

## ◆ CreateDefaultRepresentation()

void vtkLogoWidget::CreateDefaultRepresentation | ( |  | ) |
| overridevirtual

Create the default widget representation if one is not set.

Reimplemented from vtkBorderWidget.

The documentation for this class was generated from the following file:

- Interaction/Widgets/vtkLogoWidget.h